# Class AtomData

java.lang.Object
org.jmol.atomdata.AtomData

public class AtomData extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`ac`
`int`
`adpMode`
`int[]`
`atomicNumber`
`int[]`
`atomIndex`
`int[]`
`atomMolecule`
`float[]`
`atomRadius`
`Atom[]`
`atoms`
`BS`
`bsIgnored`
`BS[]`
`bsMolecules`
`BS`
`bsSelected`
`String`
`fileName`
`int`
`firstAtomIndex`
to be filled:
`int`
`firstModelIndex`
`float`
`hAtomRadius`
`P3[][]`
`hAtoms`
`int`
`hydrogenAtomCount`
`int`
`lastModelIndex`
`static final int`
`MODE_FILL_COORDS`
`static final int`
`MODE_FILL_MODEL`
`static final int`
`MODE_FILL_MOLECULES`
`static final int`
`MODE_FILL_MULTIMODEL`
`static final int`
`MODE_FILL_RADII`
`static final int`
`MODE_GET_ATTACHED_HYDROGENS`
`int`
`modelIndex`
`String`
`modelName`
`String`
`programInfo`
`RadiusData`
`radiusData`
`P3[]`
`xyz`

## Constructor Summary

Constructors
Constructor
Description
`AtomData()`

## Method Summary

Modifier and Type
Method
Description
`void`
`transformXYZ(M4 mat, BS bs)`
allow for transformed XYZ

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MODE_FILL_MODEL

public static final int MODE_FILL_MODEL

See Also:
  - Constant Field Values

### MODE_FILL_COORDS

public static final int MODE_FILL_COORDS

See Also:
  - Constant Field Values

### MODE_FILL_RADII

public static final int MODE_FILL_RADII

See Also:
  - Constant Field Values

### MODE_FILL_MOLECULES

public static final int MODE_FILL_MOLECULES

See Also:
  - Constant Field Values

### MODE_GET_ATTACHED_HYDROGENS

public static final int MODE_GET_ATTACHED_HYDROGENS

See Also:
  - Constant Field Values

### MODE_FILL_MULTIMODEL

public static final int MODE_FILL_MULTIMODEL

See Also:
  - Constant Field Values

### programInfo

public String programInfo

### fileName

public String fileName

### modelName

public String modelName

### modelIndex

public int modelIndex

### bsSelected

public BS bsSelected

### bsIgnored

public BS bsIgnored

### bsMolecules

public BS[] bsMolecules

### radiusData

public RadiusData radiusData

### firstAtomIndex

public int firstAtomIndex
to be filled:

### firstModelIndex

public int firstModelIndex

### lastModelIndex

public int lastModelIndex

### hAtomRadius

public float hAtomRadius

### atomIndex

public int[] atomIndex

### atoms

public Atom[] atoms

### xyz

public P3[] xyz

### atomRadius

public float[] atomRadius

### atomicNumber

public int[] atomicNumber

### atomMolecule

public int[] atomMolecule

### hAtoms

public P3[][] hAtoms

### ac

public int ac

### hydrogenAtomCount

public int hydrogenAtomCount

### adpMode

public int adpMode

## Constructor Details

### AtomData

public AtomData()

## Method Details

### transformXYZ

public void transformXYZ(M4 mat, BS bs)
allow for transformed XYZ

Parameters:
  `mat` -
  `bs` -